Edge.EnumBondOrder
Date: 2019-10-22

org.jmol.util

## Enum Edge.EnumBondOrder

- java.lang.Object
- - java.lang.Enum<Edge.EnumBondOrder>
  - - org.jmol.util.Edge.EnumBondOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Edge.EnumBondOrder>
  Enclosing class:
    Edge

      private static enum Edge.EnumBondOrder
      extends java.lang.Enum<Edge.EnumBondOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AROMATIC`
    `AROMATIC_DOUBLE`
    `AROMATIC_SINGLE`
    `ATROPISOMER`
    `DOUBLE`
    `H_REGULAR`
    `PARTIAL01`
    `PARTIAL12`
    `PARTIAL23`
    `PARTIAL32`
    `QUADRUPLE`
    `QUINTUPLE`
    `sextuple`
    `SINGLE`
    `STRUT`
    `TRIPLE`
    `UNSPECIFIED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `code`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `number`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `getCodeFromName(java.lang.String name)`
    `protected static java.lang.String` | `getNameFromCode(int code)`
    `protected static java.lang.String` | `getNumberFromCode(int code)`
    `static Edge.EnumBondOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Edge.EnumBondOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final Edge.EnumBondOrder SINGLE

    - #### DOUBLE

          public static final Edge.EnumBondOrder DOUBLE

    - #### TRIPLE

          public static final Edge.EnumBondOrder TRIPLE

    - #### QUADRUPLE

          public static final Edge.EnumBondOrder QUADRUPLE

    - #### QUINTUPLE

          public static final Edge.EnumBondOrder QUINTUPLE

    - #### sextuple

          public static final Edge.EnumBondOrder sextuple

    - #### AROMATIC

          public static final Edge.EnumBondOrder AROMATIC

    - #### STRUT

          public static final Edge.EnumBondOrder STRUT

    - #### H_REGULAR

          public static final Edge.EnumBondOrder H_REGULAR

    - #### PARTIAL01

          public static final Edge.EnumBondOrder PARTIAL01

    - #### PARTIAL12

          public static final Edge.EnumBondOrder PARTIAL12

    - #### PARTIAL23

          public static final Edge.EnumBondOrder PARTIAL23

    - #### PARTIAL32

          public static final Edge.EnumBondOrder PARTIAL32

    - #### AROMATIC_SINGLE

          public static final Edge.EnumBondOrder AROMATIC_SINGLE

    - #### AROMATIC_DOUBLE

          public static final Edge.EnumBondOrder AROMATIC_DOUBLE

    - #### ATROPISOMER

          public static final Edge.EnumBondOrder ATROPISOMER

    - #### UNSPECIFIED

          public static final Edge.EnumBondOrder UNSPECIFIED

  - ### Field Detail

    - #### code

          private int code

    - #### number

          protected java.lang.String number

    - #### name

          protected java.lang.String name

  - ### Method Detail

    - #### values

          public static Edge.EnumBondOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Edge.EnumBondOrder c : Edge.EnumBondOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Edge.EnumBondOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCodeFromName

          protected static int getCodeFromName(java.lang.String name)

    - #### getNameFromCode

          protected static java.lang.String getNameFromCode(int code)

    - #### getNumberFromCode

          protected static java.lang.String getNumberFromCode(int code)